Subject: [bug#44401] [PATCH] gnu: poetry: Update to 1.1.4.

From: Tanguy LE CARROUR <[email-masked]>
Date: Wed, 02 Dec 2020 09:15:15 +0100

Hi Sébastien,

Excerpts from Tanguy LE CARROUR's message of December 1, 2020 11:38 am:
> Excerpts from Sébastien Lerique's message of November 30, 2020 11:29 am:
>>>> Once I have your latest patch I should probably be able to
>>>> converge on what you have done. Here is my current patchset for
>>>> reference: http://0x0.st/i7b_.diff , I'm working on
>>>> 4a914de930a8317cab5bc11bdb608e3a3da3d1ad. I don't know whether
>>>> to
>>>> send parts of this as separate patches or not.
>>>
>>> Sounds like a plan! :-)
>>>
>>> Can I suggest that you wait for #44077 to be merged and then
>>> submit your improvements?!
>> 
>> Yes! I'll do that.
> 
> Just to let you know that it's been merged!
> 
> Quiet a few packages still have to be rebuilt, so it took some time for
> me to install it, but… everything seems to work as expected!
> 
> So, you can proceed with submitting your patches and remove the `patch-setup-py`
> from `poetry`.

Unfortunately, `python-packaging` patch got reverted because it was
triggering to many rebuilds! :-(
So Poetry is broken again!

…WIP!

-- 
Tanguy